with GNATCOM.IInterface;

package MSHTML.IBlockFormats_Interface is

   type IBlockFormats_Type is
     new GNATCOM.IInterface.Interface_Type with null record;

   procedure Initialize (This : in out IBlockFormats_Type);

   function Pointer (This : IBlockFormats_Type)
     return Pointer_To_IBlockFormats;

   procedure Attach (This    : in out IBlockFormats_Type;
                     Pointer : in     Pointer_To_IBlockFormats);

   function Getu_newEnum
     (This : IBlockFormats_Type)
     return GNATCOM.Types.Pointer_To_IUnknown;

   function Get_Count
     (This : IBlockFormats_Type)
     return Interfaces.C.long;

   function item
     (This             : IBlockFormats_Type;
      pvarIndex        : access GNATCOM.Types.VARIANT :=
        GNATCOM.Types.PVARIANT_MISSING)
     return GNATCOM.Types.BSTR;

end MSHTML.IBlockFormats_Interface;

